import request from '@/utils/request'

// 查询项目全景列表
export function listPrjphotography(query) {
  return request({
    url: '/video/prjphotography/list',
    method: 'get',
    params: query
  })
}

// 查询项目全景列表
export function queryPrjphotography(query) {
  return request({
    url: '/video/prjphotography/query',
    method: 'get',
    params: query
  })
}

// 查询项目全景详细
export function getPrjphotography(id) {
  return request({
    url: '/video/prjphotography/' + id,
    method: 'get'
  })
}

// 新增项目全景
export function addPrjphotography(data) {
  return request({
    url: '/video/prjphotography',
    method: 'post',
    data: data
  })
}

// 修改项目全景
export function updatePrjphotography(data) {
  return request({
    url: '/video/prjphotography',
    method: 'put',
    data: data
  })
}

// 删除项目全景
export function delPrjphotography(id) {
  return request({
    url: '/video/prjphotography/' + id,
    method: 'delete'
  })
}
